import "./tasks/spladder.wdl" as spladder
import "./tasks/samtools.wdl" as samtools


workflow {{ project_name }} {
    String sample_id
    File bam_file
    File reference_gtf_file
    

    String spladder_docker
    String spladder_cluster
    String samtools_docker
    String samtools_cluster
    String disk_size	

	call samtools.samtools as samtools {
		input:
		docker = samtools_docker,
		cluster = samtools_cluster,
		sample_id = sample_id,
		bam_file = bam_file,
		disk_size = disk_size
  }

	call spladder.spladder as spladder {
		input:
		reference_gtf_file = reference_gtf_file,
		sample_id = sample_id,
		bam_file = samtools.bam,
		docker = spladder_docker,
		cluster = spladder_cluster,
		disk_size = disk_size
	}
}